summaryrefslogtreecommitdiffstats
path: root/source/ap/sc
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/sc')
-rw-r--r--source/ap/sc/sc-7.16.lsm17
-rw-r--r--source/ap/sc/sc-gcc34.diff10
-rw-r--r--source/ap/sc/sc-malloc.diff13
-rwxr-xr-xsource/ap/sc/sc.SlackBuild86
-rw-r--r--source/ap/sc/slack-desc19
5 files changed, 145 insertions, 0 deletions
diff --git a/source/ap/sc/sc-7.16.lsm b/source/ap/sc/sc-7.16.lsm
new file mode 100644
index 000000000..e37be385e
--- /dev/null
+++ b/source/ap/sc/sc-7.16.lsm
@@ -0,0 +1,17 @@
+Begin4
+Title: sc Spreadsheet Calculator
+Version: 7.16
+Entered-date: 2002-9-19
+Description: sc is a free curses-based spreadsheet program that uses
+ key bindings similar to vi and less.
+Keywords: spreadsheet calculator console textmode curses ncurses
+Author: Too numerous to mention.
+Maintained-by: nrocinu@myrealbox.com (Chuck Martin)
+Primary-site: ibiblio.org /pub/Linux/apps/financial/spreadsheet
+Alternate-site:
+Original-site:
+Platforms: Pre-7.x versions presumably worked on any Unix or Unix
+ clone, as well as VMS and DOS. Hopefully, this is still
+ true, but it's only been tested on Linux.
+Copying-policy: Public domain
+End
diff --git a/source/ap/sc/sc-gcc34.diff b/source/ap/sc/sc-gcc34.diff
new file mode 100644
index 000000000..28ec88107
--- /dev/null
+++ b/source/ap/sc/sc-gcc34.diff
@@ -0,0 +1,10 @@
+--- vi.c.orig 2005-01-15 16:56:05.632773048 +0000
++++ vi.c 2005-01-15 16:56:14.788381184 +0000
+@@ -40,7 +40,6 @@
+
+ #define istext(a) (isalnum(a) || ((a) == '_'))
+
+-#define bool int
+ #define true 1
+ #define false 0
+
diff --git a/source/ap/sc/sc-malloc.diff b/source/ap/sc/sc-malloc.diff
new file mode 100644
index 000000000..2133ed42e
--- /dev/null
+++ b/source/ap/sc/sc-malloc.diff
@@ -0,0 +1,13 @@
+--- xmalloc.c.orig 2004-07-11 22:34:48.681076912 +0200
++++ xmalloc.c 2004-07-11 22:34:57.150789320 +0200
+@@ -6,8 +6,8 @@
+ #include <curses.h>
+ #include "sc.h"
+
+-extern char *malloc();
+-extern char *realloc();
++extern void *malloc(size_t size);
++extern void *realloc();
+ extern void free();
+ void fatal();
+
diff --git a/source/ap/sc/sc.SlackBuild b/source/ap/sc/sc.SlackBuild
new file mode 100755
index 000000000..8a8bba72c
--- /dev/null
+++ b/source/ap/sc/sc.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=7.16
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-sc
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_sc.tar.gz
+mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+
+cd $TMP
+tar xvf $CWD/sc-$VERSION.tar.gz || exit 1
+cd sc-$VERSION || exit 1
+# Old software, modern compiler:
+zcat $CWD/sc-gcc34.diff.gz | patch -p0 --verbose || exit 1
+zcat $CWD/sc-malloc.diff.gz | patch -p0 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make || exit 1
+
+cat sc > $PKG/usr/bin/sc
+cat scqref > $PKG/usr/bin/scqref
+cat psc > $PKG/usr/bin/psc
+
+name=sc NAME=SC LIBDIR=/usr/lib${LIBDIRSUFFIX}/sc sh torev sc.doc > sc.1
+name=sc NAME=SC LIBDIR=/usr/lib${LIBDIRSUFFIX}/sc sh torev psc.doc > psc.1
+cat sc.1 | gzip -9c > $PKG/usr/man/man1/sc.1.gz
+cat psc.1 | gzip -9c > $PKG/usr/man/man1/psc.1.gz
+
+mkdir -p $PKG/usr/doc/sc-$VERSION
+cp -a CHANGES README TODO $PKG/usr/doc/sc-$VERSION
+chmod 644 $PKG/usr/doc/sc-$VERSION/*
+cat tutorial.sc > $PKG/usr/lib${LIBDIRSUFFIX}/sc/tutorial.sc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/sc-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/sc/slack-desc b/source/ap/sc/slack-desc
new file mode 100644
index 000000000..c64ef2f66
--- /dev/null
+++ b/source/ap/sc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sc: sc (spreadsheet calculator)
+sc:
+sc: This is a simple curses-based spreadsheet program.
+sc:
+sc:
+sc:
+sc:
+sc:
+sc:
+sc:
+sc: